Skip to main content
GET
/
enterprises
/
{enterprise_id}
/
reputation
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const reputations = await client.enterprises.reputation.list(
  '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);

console.log(reputations.data);
{
  "data": {
    "enterprise_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "status": "pending",
    "check_frequency": "business_daily",
    "loa_document_id": "<string>",
    "rejection_reasons": [
      "<string>"
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Response

Reputation settings

data
object